<% @Page Language="VB" Explicit="True" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<HEAD>
  <title>EtherRain Help for HS3</title>
<link rel="stylesheet" type="text/css" href="/style.css"/>

<script  type="text/javascript">
 <!--  
	var xmlhttp;
 	var  irows = 25;
	var  icols = 9;
	//-->
</script> 

</head>
<body style= "margin-left: 4%; margin-right: 4%; background:white; 
			 color: black; font-size: 11px; font-weight: normal;
			 font-family: verdana, arial, sans-serif;" >

	  <div style="float:left; width:800px; height:26px;padding-top:3px;padding-left:2px; background-color: black;border-bottom:solid 2px grey;">
	   
	  <input style="width:120px;" type="button" class="linkrowbutton" value="HomeSeer Start" alt="Start" onClick="location.href='/start/start.aspx'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="HomeSeer Home" alt="Home" onClick="location.href='/'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="EtherRain Home" alt="EtherRain Home" onClick="location.href='er_home.aspx'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="EtherRain Help" alt="EtherRain Help" onClick="location.href='er_help.aspx'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  </div>



  <div style="float:left; width:800px; text-align: center;
			font-size: 11px; font-weight: normal;
	         text-align:center;   /* hack for ie5  */
			font-family: verdana, arial, sans-serif; ">
   

    <div style="float:left; width: 800px;height:60px; 
		        border: 1px solid forestgreen;
			    background-color: lightgreen;
				font:arial, sans-serif; ">
		 <div style="float:left; width: 80px;margin-top:6px;">
	         <img style= "float:left; padding-left:35px;" align="middle" alt="EtherRain Logo" src="ershieldlogo.png" />  
	     </div>
		 <div style= "float:left;width: 610px;padding-top:7px;">
              <p style="color:white;font-weight:600; font-size:24px;
			            margin-top:5px; margin-bottom:2px;padding-top:5px;text-align:center;">
		             EtherRain Help
			  </p>
		 </div>
    </div>

    <div style="float:left; width:800px;height:1700px;margin-top:2px;border:1px solid silver;
			text-align:left; overflow: auto;">
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;text-align:justify;">
		    This page provides information on how to make the most productive use of
			EtherRain valve controllers for running irrigation within the HomeSeer 3 environment.    
	  	   </p>
	  	   <p style="padding-left:40px; padding-right:30px; font-weight:bold; margin-top:8px;margin-bottom: 12px;text-align:left;">
 	  	   Background 
		   </p>
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 12px;text-align:justify;">
		    EtherRain is an Ethernet connected sprinkler valve controller that provides reliable 
			irrigation at a low cost.  It was designed using a "cycle" model so a complete 8 valve cycle can 
			sent to the controller with one command, no "off commands are needed.  EtherRain controllers are addressed by 
			name and multiple controllers can exist in one network.  Each EtherRain must be assigned a unique name.  Use the 
			provided configuration utility (EtherRain Admin) to create and assign a unique name to your controller(s).   
			EtherRain provides a rain sensor input.			
	  	   </p>
	  	   <p style="padding-left:40px; padding-right:30px; font-weight:bold; margin-top:8px;margin-bottom: 12px;text-align:left;">
 	  	   HomeSeer 3 Interface 
		   </p>
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 8px;text-align:justify;">
		    HomeSeer's variety of event types and triggers combined with the provided 
			web page interface and function calls allows users 
			to easily set up efficient automated irrigation schedules with various levels of sophistication.  
	  	   </p>
	       <p style="padding-left:40px; padding-right:30px; margin-top:2px;margin-bottom: 12px;text-align:justify;">
		    The main interface between HomeSeer and EtherRain is through these web pages. In addition,
			the script "EtherRain.vb" contains a variety of methods that provide easy setup and flexible  
			control of a wide variety of irrigation cycles within the HomeSeer framework. The available methods are
            described in the EtherRain HomeSeer Interface Function Guide which is part of the download package.
	  	   </p>

	  	   <p style="padding-left:40px; padding-right:30px; font-weight:bold; margin-top:8px;margin-bottom: 12px;text-align:left;">
 	  	   Getting Started 
		   </p>
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 8px;text-align:justify;">
		    1.  Define your Controller(s)<br>
			The first step is to build a virtual controller by entering controller definitions into HomeSeer using 
			the provided web page (click the "add controller" button from the Home Page).  A controller is defined within HomeSeer by entering unique 
			controller information like controller name, controller password, and zone names for 
			each of the zones valves that the controller is connected to.  If you are using more than one EtherRain controller within 
			your installation you will need to provide a unique name for each controller.  When you 
			define your controller in HomeSeer you need to make sure that the name and password that 
			you enter matches the name and password that you entered into the EtherRain controller 
			during configuration. 
	  	   </p>
	       <p style="padding-left:40px; padding-right:30px; margin-top:2px;margin-bottom: 12px;text-align:justify;">
		    2.  Define your Cycles<br>
			Next define some cycles using the CycleBuilder page.  To create a cycle all you need 
			to do is provide a name and then the number of "on" minutes for each of the zones.  
			You can define up to 20 named cycles.  After you create named cycles, you will be able to easily create 
			irrigation events based on the named cycles. You can assign a cycle to one or more controllers.
	  	   </p>
		   <p style="padding-left:40px; padding-right:30px; margin-top:2px;margin-bottom: 12px;text-align:justify;">
		    3.  Build a Setback profile<br>
		    If you want the ability to automatically change irrigation based on season or month of the 
			year, setup the Setback Profile using the the page provided.  The setback profile lets you specify 
			a scaling percentage for each month of the year so your irrigation amounts will change automatically 
			from month to month, thereby saving water.  The profile can be attached to any of your defined 
			cycles by checking the "Set Back" box in the cycle definition.
	  	   </p>
		   <p style="padding-left:40px; padding-right:30px; margin-top:2px;margin-bottom: 12px;text-align:justify;">
		    4.  Test your controllers<br>
		    Click the "run" button on the controller summary block to begin a manual cycle.  Choose 
			a cycle, or manually enter 1 minute for each zone.  Click run.  Command results will be displayed 
			moments afterwards.  
	  	   </p>
		   <p style="padding-left:40px; padding-right:30px; margin-top:2px;margin-bottom: 12px;text-align:justify;">
		    5.  Set up the Check-in Alert Function<br>
		    From the alert summary block, click "edit alerts" and enter your preferred settings.  The daily 
			check-in event will notify you if your controllers are not responding.  An email alert option is provided.   
	  	   </p>
		   <p style="padding-left:40px; padding-right:30px; font-weight:bold; margin-top:12px;margin-bottom: 12px;text-align:left;">
 	  	   Setting Up Irrigation Events 
		   </p>
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 8px;text-align:justify;">
		    In HomeSeer, an irrigation event or set of events can be set up with EtherRain in 
			the same way that events are set up for other devices.  When defining an irrigation event simply select 
			as the event action "run script."  Switch the event setup to advanced view, and then fill 
			in the fields with the following entries: <br>
	  	   </p>
	        <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 8px;text-align:justify;">
			<table style="padding-left:40px; padding-right:30px;">
			<tr>
			<td>Existing Script:</td>  <td>EtherRain.vb </td>
			</tr>
			<tr>
			<td>Optional Parameters:</td> <td>("runNamedCycle","ControllerName;CycleName")</td>
			</tr>
			</table
	  	   </p>
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 8px;text-align:justify;">
			Enter the name of your controller in place of ControllerName, and enter one of your 
			cycle names in place of CycleName.  Pay attention to the quote characters and the semi-colon 
			characters.  Then click "Update" and then click "Save" on the subsequent screen.  You can define as many 
			events as you need, plus you can attach condition triggers like weather, if your system has 
			the capability.  EtherRain has a rain sensor input and will automatically block irrgation upon 
			rain detection.    
	  	   </p>
           <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 12px;text-align:justify;">
		    If you want to run cycles longer than 8 zones on a sequential basis, use the runSeqCycles command.  This command 
			lets you define a single event that can run up to 64 zones (using 8 EtherRain controllers) sequentially.    
	  	   </p>
           <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 12px;text-align:justify;">
		    The EtherRain.vb script incorporates extensive error checking and writes errors and results to 
			the main HS log.  For example if the controller name or password entered in the event doesn't 
			match that of the controller, the log entry will provide notification.    
	  	   </p>
		   <p style="padding-left:40px; padding-right:30px; font-weight:bold; margin-top:12px;margin-bottom: 12px;text-align:left;">
 	  	   A Simple Scheduled Event 
		   </p>
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 12px;text-align:justify;">
		    A simple scheduled event can easily be generated by selecting a trigger type of "absolute time" or
			"sunrise" or "sunset" when setting up the event. 
			</p>
		   <p style="padding-left:40px; padding-right:30px; font-weight:bold; margin-top:12px;margin-bottom: 12px;text-align:left;">
 	  	   Defining Cycles 
		   </p>
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 12px;text-align:justify;">
		    The CycleBuilder screen lets you build named cycles.  As shown above, when the cycles are 
			defined this way, they can be easily executed usinge the "runNamedCycle" method in the event 
			action.  With named cycles it's possible to create cycles for use with different controllers, 
			different seasons, and different weather conditions.  Here are a few sample cycle names:
		   </p>
			<ul style="padding-left:40px;">
			<li>Main with Setback</li>
			<li>Summer Hot Only</li>
			<li>Garden</li>
			</ul>
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 12px;text-align:justify;">
			With HomeSeer's sophisticated triggering capabilities, cycles can be run based on time of the year or if weather 
			inputs are available using weather conditions.  With temperature it is possible to set up events to 
			run only when the temperature is above a certain level, or to add extra cycles if the temperature 
			reaches certian levels.
		   </p>
			
		   <p style="padding-left:40px; padding-right:30px; font-weight:bold; margin-top:12px;margin-bottom: 12px;text-align:left;">
 	  	   Disable and Temporary Suspend 
		   </p>
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 12px;text-align:justify;">
		    You can disable or temporarily suspend all of your EtherRain irrigation events at the click of a 
			button.  You can temporarily suspend all of your EtherRain events for up to 9 days.  After the 
			suspension period is over, irrigation will automatically start.  If you choose to Disable your irrigation 
			you will have to manually enable the irrigation.
		   </p>
		   <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 12px;text-align:justify;">
		   	Suspend and disable apply to all EtherRain irrigation events that are defined using 
			the "runNamedCycle" function (all of your events should be set with this function).  Manual 
			"QuickCycles" remain available during periods of suspension or disablement.
		   </p>
		   <p style="padding-left:40px; padding-right:30px;color:indianred; margin-top:8px;margin-bottom: 12px;text-align:justify;">
		   	Clicking "Disable" will also automatically stop all currently running cycles.
		   </p>
		
		
		
	 <p style="padding-left:40px; padding-right:20px; margin-top:8px;margin-bottom:16px;font-weight: bold;text-align:justify;">
	 How to Use Setbacks to Save Water
</p>
 	 <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom:12px;text-align:justify;">
	 When you enter time values into your zone fields when defining a cycle, enter the time values 
	 that you think your landscape needs to prosper during the warmest part of the year.  Usually the 
	 warmest months are July, August, and September, in the northern hemisphere.  Enter 100 in the fields 
	 associated with your warmest months.  After September landscape irrigation needs generally 
	 tail off, so you can reduce your water application by entering 70 or 80%, for example, in October.
</p>
 	 <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom:12px;text-align:justify;">
	 After October, in some climates, many will turn their irrigation off.  But in southern climates, irrigation 
	 is still desireable, though at a much reduced level.  Anywhere from 0 to 60% may work well for October, 
	 November, and December.  Again in January and February, generally irrigation needs are nominal, and 
	 so setbacks can be set in the 0 to 50% range.  March and April become warmer in many climates, and so 
	 setbacks can generally be upped, 0 to 80%.  In May and June, generally, most will turn their 
	 systems back on again, if they were turned off.  May and June generally require less irrigation than 
	 in mid summer, so setbacks can range from 70 to 90% in these months.
</p>
 	 <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom:12px;text-align:justify;">
	 To use setbacks within your irrigation events, first establish your setback profile.  Save it.  Then 
	 when defining cycles, check the S/B (stands for setback) box on the cycles that you wish to have 
	 the setback profile applied to.  Then, using HomeSeer events, set up your weekly irrigation schedule.  
	 When defining events, set up the event action to run a script.  Use the "runDefinedCycle" function within 
	 the provided EtherRain.vb script.  Specify a cycle that has the setback applied to it.  That's all.  
	 As the months progress, your HomeSeer event will run the EtherRain scripts, and your 
	 irrigation will be adjusted automatilly per the setback profile.  You can change your profile at any time 
	 and you can edit your cycle zone minutes at any time, without having to modify your Event.
	</p>
 
	 <p style="padding-left:40px; padding-right:20px; margin-top:8px;margin-bottom:16px;font-weight: bold;text-align:justify;">
	 More Information
</p>
 	 <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom:12px;text-align:justify;">
	 Please view the EtherRain Interface Users Guide for HS3 (.pdf) and the EtherRain Interface Function Reference (.pdf) 
	 for more information.
</p>

    </div>
     <p style="padding-left:10px;  font-size:10px; text-align:left; ">
         &copy; 2011-2017 by QuickSmart Development www.quicksmart.com
      </p>
   </div>

 </body>
</html>
