<% @Page Language="VB" Explicit="True" %>

<script runat=server>
    Public hs As Scheduler.hsapplication
    Public savemode As Boolean
    Public params(12) As String

    Dim numlines As Integer
    Dim rstr As String
    Dim tempstr As String

    Sub readSetbacks()
        'this vbscript function is executed on the server
        'we cant read or write files to the server using vbscript
        'we don't want to use hs global variables because they are destroyed at reboot
        'we will use the hs.getINISection and hs.saveINISetting functions get and save the cycles
        'use the following  command to save the cycles:  (creates section "stored cycles" and key "ercycles"
        '       hs.SaveINISetting "stored cycles","ercycles",erVar,"EtherRain.ini"
	
        Dim i, j As Integer
        ' Dim wstr, kstr As String
        Dim erVar As String
        'Dim estr As String
        Dim items() As String
        Dim section As String
	
        'first initialize if there is not a stored setback
        params(0) = "0"
        params(1) = "20"
        params(2) = "30"
        params(3) = "40"
        params(4) = "50"
        params(5) = "80"
        params(6) = "90"
        params(7) = "100"
        params(8) = "100"
        params(9) = "80"
        params(10) = "50"
        params(11) = "0"
        erVar = ""
        section = hs.GetINISection("stored setbacks", "EtherRain.ini")
        'Response.Write "<p><b>section  is : " & section & "</b></p><hr>"
        If len(section) > 0 Then
            items = split(section, chr(0))
            For i = 0 To ubound(items)
                'Response.Write "<p><b>Item " & items(i) & "</b></p><hr>"
                j = instr(items(i), "ersetback=")
                If j > 0 Then
                    erVar = mid(items(i), j + 10)
                    Exit For
                End If
            Next
        End If
        'Response.Write "<p><b>ER Var length is : " & len(erVar) & "bytes)</b></p><hr>"
        'Response.Write "<p><b>ER Var is : " & erVar & "</b></p><hr>"
        'reDim params(12)
        If len(erVar) > 0 Then 'parse the storage variable here
            'the values are separated by ";"
            items = split(erVar, ";")
            If ubound(items) = 11 Then
                For i = 0 To 11
                    params(i) = items(i)
                Next
            End If
        End If
		
    End Sub

    Sub saveSetbacks(cxstr As String)

        'save the cycles here
        If Len(cxstr) > 0 Then
            'the setback string is a 12 member array separated by semicolons
            'use the following  command to save the cycles:  (creates section "stored setbacks" and key "ersetback"
	
            hs.SaveINISetting("stored setbacks", "ersetback", cxstr, "EtherRain.ini")
 
        Else
            'instead of storing no data, lets just remove the key from the section
            'we'll put the controller data under another section "stored controllers"
            'because currently there is only one key, we could remove the whole section
            'lets just clear the section; if we put more in EtheRain.ini we'll put it in another section
            hs.ClearINISection("stored setbacks", "EtherRain.ini")
	
        End If
	
 
	 
    End Sub

    ' ***End vb.net Function Declarations***
    '

</script>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<HEAD>
  <title>EtherRain Set Back Builder for HS3</title>
<link rel="stylesheet" type="text/css" href="/style.css"/>

<script type="text/javascript">
 <!--
 
  
	var xmlhttp;
 	var  irows = 20;
	var  icols = 9;

   function checkMakeVars ( form )
	 {
        var tstr = "";
		var i;
		var j;
		var k = 0;
		var wstr = "";
		var nstr = "";
		//first check that the params are only numeric between 0 and 100
		  for (i=0;i <= 11;i++) {
		       tstr = "T" + i;
	 	       k = form[tstr].value;
   	           //alert( k );
			   if (isNaN(k) ){
   	             alert("Non-numeric Setback Found. Setbacks must be numeric between 0 and 100");
			     form[tstr].focus();
			     return false;
			  }
			  if (k > 100) {
   	             alert("Setback value greater than 100 found. Setbacks must be numeric between 0 and 100");
			     form[tstr].focus();
			     return false;
			  }
	      }
 
       //now put all the data into one string
	      wstr = ""
		  for (i=0;i <= 11;i++) {
		    tstr = "T" + i ;
	 	    nstr = form[tstr].value;
   	        //alert( nstr );
			wstr = wstr + nstr;
			if (i < 11) {
   	              wstr = wstr + ";";
			}
		  }
	      form.sbvar.value = wstr;
		  //alert(wstr);
		  //return false;
		  return true;
		  
		}

	//-->
</script> 

</head>


<%
    ' *** main script block  *****
    Dim rstr As String
    'this line must be on every page along with the original dim
    hs = Context.Items("Content")
    savemode = False
    rstr = Request.Form("sbvar")
    If Len(rstr) > 0 Then
        savemode = True
        'Response.Write("saving: " & rstr & "<br />")
        saveSetbacks(rstr)
    Else
        savemode = False
    End If
    readSetbacks()

%>

<body style= "margin-left: 4%; margin-right: 4%; background:white; 
			 color: black; 
			 font-size: 11px;
			 font-weight: normal;
			 font-family: verdana, arial, sans-serif;"
>

	  <div style="float:left; width:800px; height:26px;padding-top:3px;padding-left:2px; background-color: black;border-bottom:solid 2px grey;">
	   
	  <input style="width:120px;" type="button" class="linkrowbutton" value="HomeSeer Start" alt="Start" onClick="location.href='/start/start.aspx'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="HomeSeer Home" alt="Home" onClick="location.href='/'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="EtherRain Home" alt="EtherRain Home" onClick="location.href='er_home.aspx'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="EtherRain Help" alt="EtherRain Help" onClick="location.href='er_help.aspx'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  </div>



   <div style="float:left; width:800px; text-align: center;
			font-size: 11px; font-weight: normal;
	         text-align:center;   /* hack for ie5  */
			font-family: verdana, arial, sans-serif; ">
   
	
    <div style="float:left; width: 800px;height:60px; 
		        border: 1px solid forestgreen;
			    background-color: lightgreen;
				font:arial, sans-serif; ">
		 <div style="float:left; width: 80px;margin-top:6px;">
	         <img style= "float:left; padding-left:35px;" align="middle" alt="EtherRain Logo" src="ershieldlogo.png" />  
	     </div>
		 <div style= "float:left;width: 610px;padding-top:7px;">
              <p style="color:white;font-weight:600; font-size:24px;
			            margin-top:5px; margin-bottom:2px;padding-top:5px;text-align:center;">
		             EtherRain Setback Builder
			  </p>
		 </div>
    </div>

    <div style="float:left; width:800px;height:660px;margin-top:2px;border:1px solid silver;
			text-align:left; overflow: auto;">
        <div style="float:left; width:70px; height:655px; margin:0px; ">
        </div>
        <div style="float:left; width:660px; height:655px; margin:0px; ">
	  <% 
	    if savemode = false then
	          Response.Write("<p style=""padding-left:40px; padding-right:20px; margin-top:8px;margin-bottom:12px;text-align:justify;"">")
	          Response.Write("A setback profile can help you save water by automatically reducing the amount of  ")
	          Response.Write("irrigation depending on the month of the year.  For example, in summer, usually,   ")
	          Response.Write("you would run your cycle at 100% to ensure your landscape is adequately irrigated.  In the  ")
	          Response.Write("fall or spring however, because temperatures are generally lower, your landscape  ")
	          Response.Write("may not need as much water.  Applying a setback profile to your irrigation cycle can ")
	          Response.Write("automatically reduce your irrigation ")
	          Response.Write("by the percentages you provide.  ")
	          Response.Write("</p>")
	          Response.Write("<p style=""padding-left:40px; padding-right:20px; margin-top:8px;margin-bottom:12px;text-align:justify;"">")
	          Response.Write("Assign a number from 0 to 100 in the field provided for each month.  Your hottest months should be set to 100.  ")
	          Response.Write("Minimum cycle time is 1 minute, unless the monthly setback is 0 in which case the cycle will not run.")
	          Response.Write("</p>")
	          Response.Write("<p style=""padding-left:40px; padding-right:20px; margin-top:8px;text-align:justify;"">")
	          Response.Write("To create and save your profile, enter setback values in the fields provided. ")
	          Response.Write("Then click save.  To apply the profile, simply check the ""S/B"" checkbox when defining or editing a cycle within the CycleBuilder.")
	          Response.Write("</p>")
	    else
	          Response.Write("<p style=""padding-left:40px; padding-right:20px; font-size:14px; font-weight:bold; margin-top:15px;text-align:center;"">")
	          Response.Write("Your Setback Data Has Been Saved")
	          Response.Write("</p>")
	          Response.Write("<p style=""padding-left:40px; padding-right:20px; margin-top:8px;text-align=justify;"">")
	          Response.Write("The Setback displayed below has been saved. To make further changes simply ")
	          Response.Write("update the fields and click the Save button at the bottom of the Screen. ")
	          Response.Write("</p>")
		end if
	  %>
      <form name="sbform" action="er_setbackbuilder.aspx" method="post" onsubmit="return checkMakeVars(this);">
			<table style="text-align: center;font-family: Verdana, sans-serif, Arial;
	   			   font-weight: normal;
				  color: #404040;
				  width: 230px;
				  background-color: #fafafa;
				  border: 1px #d79900 solid;
				  border-collapse: collapse;
				  border-spacing: 0px;"
 				  cellspacing="0" cellpadding="3" align="center" border="0">
         	<thead bgcolor=whitesmoke >
            <tr style= "background-color: #fff2ba;height:10px;">
               <th rowspan=2 style="font-size: 9px;font-weight: bold; border: 1px #d79900 solid;width:180px;" >Month</th>
             <th style="font-size: 9px;font-weight: bold;" >Setback Percentage</th>
            </tr>
            <tr style= "background-color: #fff2ba;height:10px;">
              <th style="font-size: 9px;font-weight: bold;border-bottom: 1px #d79900 solid;" >0 to 100</th>
            </tr>
		   </thead>
		  <tbody >
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">January</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T0" value = "<% Response.Write( params(0)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">February</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T1" value = "<% Response.Write( params(1)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">March</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T2" value = "<% Response.Write( params(2)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">April</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T3" value = "<% Response.Write( params(3)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">May</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T4" value = "<% Response.Write( params(4)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">June</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T5" value = "<% Response.Write( params(5)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">July</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T6" value = "<% Response.Write( params(6)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
	            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">August</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T7" value = "<% Response.Write( params(7)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">September</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T8" value = "<% Response.Write( params(8)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">October</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T9" value = "<% Response.Write( params(9)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">November</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T10" value = "<% Response.Write( params(10)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
             <td style="padding-left:55px;">December</td>
             <td style="padding-left:15px;">
		        <INPUT style="font-size:12px;width:29px;" TYPE="text" NAME="T11" value = "<% Response.Write( params(11)) %>" maxlength="3" SIZE="4">
		     </td>
			</tr>

          </tbody>
        </table>
		<INPUT TYPE="hidden" NAME = "postcheck" VALUE="1" />
		<INPUT TYPE="hidden" NAME = "sbvar" VALUE="" />
        <p style="font-size:14px;margin-top:10px; margin-bottom:30px;text-align:center; font:arial; ">
           <input type="submit" value="Save Setback Profile" /> 
		</p>
  </form>
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom: 12px;text-align:center;">
		    See EtherRain Help for more information on setting up a Setback profile. 
			</p>

	 
     </div>
   </div>
     <p style="padding-left:10px;  font-size:10px; text-align:left; ">
          &copy; 2009-2017 QuickSmart Development www.quicksmart.com
      </p>
   </div>

 </body>
</html>
